> ## Documentation Index
> Fetch the complete documentation index at: https://yn-c9bb3266.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Campaigns

> Returns a list of campaigns.



## OpenAPI

````yaml GET /v1/campaigns
openapi: 3.1.0
info:
  title: Yuno Payments API
  description: >-
    Yuno payment orchestration platform — unified REST API for payments,
    checkout sessions, customers, payment methods, subscriptions, payouts,
    marketplace transfers, and banking connectivity across Latin America.
  version: 1.0.0
  contact:
    name: Yuno Support
    email: support@y.uno
    url: https://docs.y.uno
  license:
    name: Proprietary
    url: https://y.uno
servers:
  - url: https://api-sandbox.y.uno
    description: Sandbox
  - url: https://api.y.uno
    description: Production
security:
  - publicApiKey: []
    privateSecretKey: []
paths:
  /v1/campaigns:
    get:
      tags:
        - Campaigns
      summary: List campaigns
      description: Returns a list of campaigns.
      operationId: listCampaigns
      parameters:
        - name: status
          in: query
          description: Filter by status
          schema:
            type: string
            enum:
              - ACTIVE
              - INACTIVE
              - DRAFT
              - EXPIRED
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
            maximum: 100
          description: Maximum number of results to return
        - name: starting_after
          in: query
          schema:
            type: string
          description: >-
            Cursor for forward pagination. Pass the ID of the last item from the
            previous page.
        - name: ending_before
          in: query
          schema:
            type: string
          description: >-
            Cursor for backward pagination. Pass the ID of the first item from
            the previous page.
      responses:
        '200':
          description: List of campaigns
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Campaign'
components:
  schemas:
    Campaign:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - DRAFT
            - EXPIRED
        start_date:
          type: string
          format: date-time
        end_date:
          type: string
          format: date-time
        country:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    publicApiKey:
      type: apiKey
      in: header
      name: public-api-key
      description: Your public API key from the Yuno Dashboard
    privateSecretKey:
      type: apiKey
      in: header
      name: private-secret-key
      description: Your private secret key (server-side only)

````